Subject: Re: git-svn "cannot lock ref" error during fetch

From: Eric Wong <[email-masked]>
Date: Wed, 6 Jun 2007 23:31:58 -0700

James Peach <[email-masked]> wrote:
> Hi all,
> 
> I'm new to git, and I'm experimenting with using git-svn to interact  
> with a large SVN repository with lots of branches.
> 
> I initially did an init like this:
> 
> git-svn init -t tags -b branches -T trunk svn+ssh://server/svn/project
> 
> Then I did a git-svn fetch, which started pulling all the branches.  
> After a while, however, it hit a branch that it couldn't pull:
> 
> Found branch parent: (tags/project-92~9)  
> 767f1f1601a4deae459c99ea6c1d1b9ba8f57a65
> Following parent with do_update
> ...
> Successfully followed parent
> fatal: refs/remotes/tags/project-92~9: cannot lock the ref
> update-ref -m r13726 refs/remotes/tags/project-92~9  
> 950638ff72acc278156a0d55baafbabb43f2b772: command returned error: 128
> 
> Some amount of searching failed to turn up any hints on what this  
> error means or how I can work around it. I'd appreciate any advice ...

Is there a tag actually named "project-92~9"?  If so, it's
an invalid branch name for git.  I started working on a way
around it by mapping new names to it, but haven't gotten around to
finishing it....

-- 
Eric Wong